List
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"appEntitlementId": "<string>",
"appId": "<string>",
"assertionLifetime": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"oidc": {
"claimMappings": [
{
"claimName": "<string>",
"userAttributeMappingId": "<string>"
}
]
},
"saml": {
"acsUrls": [
"<string>"
],
"spEntityId": "<string>",
"attributeMappings": [
{
"name": "<string>",
"userAttributeMappingId": "<string>",
"friendlyName": "<string>"
}
],
"encryptAssertions": true,
"requireSignedAuthnRequests": true,
"signAssertions": true,
"signResponses": true,
"spEncryptionCertificate": "aSDinaTvuI8gbWludGxpZnk=",
"spSigningCertificates": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}SSO
List
List returns the SSO applications configured for an application, one page at a time.
GET
/
api
/
v1
/
apps
/
{app_id}
/
sso
/
applications
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application in your catalog to list SSO applications for.
Query Parameters
Maximum number of results to return per page.
Pagination token from a previous response.
Response
200 - application/json
SSOApplicationServiceListResponse returns a page of SSO applications.
Was this page helpful?
⌘I